# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "leveldb-rs-binding"
version = "2.1.0"
authors = [
    "Florian Gilcher <florian.gilcher@asquera.de>",
    "Zhang Xin <zxin3306@126.com>",
]
build = "src/ffi/build.rs"
links = "leveldb"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An interface for the LevelDB"
homepage = "https://github.com/rim99/leveldb-rs-binding"
documentation = "https://docs.rs/leveldb-rs-binding/latest/leveldb/"
readme = "README.md"
license = "MIT"
repository = "https://github.com/rim99/leveldb-rs-binding"

[features]
ci = [
    "snappy",
    "zstd",
    "logger",
]
default = [
    "snappy",
    "zstd",
]
enable_lto = []
exp_env = []
logger = []
snappy = []
zstd = []

[lib]
name = "leveldb"
path = "src/lib.rs"

[[test]]
name = "tests"
path = "tests/tests.rs"

[dependencies.ffi-opaque]
version = "2"

[dependencies.libc]
version = "0.2.*"

[dev-dependencies.tempdir]
version = "0.3"

[build-dependencies.cmake]
version = "0.1"

[build-dependencies.num_cpus]
version = "1.17"

[build-dependencies.regex]
version = "1"
